#include <iostream>

using namespace std;

int main() {
   
   int n,l;
   cin >> n >> l;
   
   int *s = new int[n];
   for(int i = 0; i < n; i ++){
       cin >> s[i];
   }
   
   for(int i = 0; i < n; i ++){
       if(s[i] <= l){
           cout << i + 1;
           return 0;
       }
   }
   cout << -1;
   return 0;
}